Description

Another suggestion from my end that I think would be great. What I use now is auto_create: force since I only use SVN as a repo

type. In this case repo is created even if Repository module is not enabled on project creation. I think a condition to auto create a

repo only if Repository module is enabled would be OK. What do you think?

Associated revisions

Revision 84 - 29 May 2012 10:05 - Andriy Lesyuk

Not creating repository if Repository module is disabled (#1895)

Revision 85 - 29 May 2012 20:48 - Andriy Lesyuk

Moved :view_projects_form content to views, hiding SCM when Repository is not checked (fixes #1895)

History

#1 - 16 Dec 2011 09:09 - Blaž Podržaj

I would also suggest for project creation page in case of auto_create: true to show SCM drop-down only if Repository module is selected. Otherwise it

could be hidden.

#2 - 16 Dec 2011 17:27 - Andriy Lesyuk

- Status changed from New to Open

Agreed!

#3 - 26 May 2012 10:51 - Andriy Lesyuk

- File SCMCreator-1895.patch added

- Status changed from Open to In Progress

- % Done changed from 0 to 20

Thought a little bit more about the issue... auto_create: force is designed to force creation of repositories for all projects! That is in this case it’s better

to auto check “Repository” module. If one wants repositories to be optional he/she should use auto_create: true instead...

What do you think?

P.S. Attached patch for making what you want...

#4 - 29 May 2012 10:10 - Andriy Lesyuk

- % Done changed from 20 to 50
Did as you requested... Changed my mind!  I think you were right.

The only issue regarding this is that if you select SCM and uncheck Repository the repository will be not created silently...

#5 - 29 May 2012 20:49 - Andriy Lesyuk

- Due date set to 29 May 2012

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

Hiding “SCM” if Repository module is not checked. Thanks Blaž!

Files

SCMCreator-1895.patch 1.48 KB 26 May 2012 Andriy Lesyuk
